Summary:       A Session Initiation Protocol (SIP) implementation
Name:          opensipstack
Version:       1.1.7
Release:       5%{?dist}%{?pext}
License:       MPL/GPL/LGPL
Group:         System Environment/Libraries
Source0:       http://www.%{name}.org/releases/russel/%{name}_src-%{version}.tar.gz
Source1:       %{name}.profile
Patch0:        %{name}-1.1.7-build.patch
Patch1:        %{name}-1.1.7-install.patch
URL:           http://www.%{name}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The OpenSIPStack Project
BuildRequires: bison flex cyrus-sasl-devel expat-devel
BuildRequires: openldap-devel openssl-devel SDL-devel

%description
The OpenSIPStack library is an implementation of the Session Initiation
Protocol as described in RFC 3261. The primary goal of the library is to
provide application developers with a fully compliant interface to the
SIP protocol with scalability and stability in mind. The OpenSIPStack
library has both low level interface and high level interface ideal for
use in SIP Proxies, Presence Servers, Softphones and Instant Messaging
clients.


%package       devel
Summary:       Development tools for OpenSIPStack
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      cyrus-sasl-devel expat-devel openldap-devel
Requires:      openssl-devel SDL-devel

%description   devel
The %{name}-devel package contains the static libraries and header
files for developing software using OpenSIPStack.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

# Prepare docs
%{__mkdir_p}                  doc_inst/{opal,pwlib}
%{__cp} *.{html,txt}          doc_inst
%{__cp} src/opal/*.htm        doc_inst/opal
%{__cp} src/pwlib/*.{htm,txt} doc_inst/pwlib

# Cleanup
find . -depth -type d -name CVS        -exec %{__rm} -rf {} \;
find . -depth -type f -name .cvsignore -exec %{__rm} -f  {} \;


%build
%configure \
	STDCCFLAGS="${CFLAGS} -fno-strict-aliasing" \
	X11LIBDIR="%{_prefix}/X11R6/%{_lib}"        \
	--enable-shared                             \
	--enable-static                             \
	--enable-vxml                               \
	--enable-exceptions

%{__ln_s} ../{buildindex,version}.h include

%{__make} both


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

for BLDDIR in src/pwlib .; do
  %{__make} -C ${BLDDIR}          \
	DESTDIR=${RPM_BUILD_ROOT} \
	DEBUG=1                   \
	install

  %{__make} -C ${BLDDIR}          \
	DESTDIR=${RPM_BUILD_ROOT} \
	install
done

%{__install} -m 0644 OpenSIPStack.sln ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__sed} -e "s#XXX_OSDIR_XXX#%{_datadir}/%{name}#g" %{SOURCE1} > \
	${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/%{name}.sh
%{__chmod} 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/%{name}.sh

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,?.?}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc doc_inst/*
%{_libdir}/lib%{name}_linux_*.so.*
%{_libdir}/libpt_linux_*.so.*

%files devel
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%{_bindir}/ptlib-config
%{_includedir}/ptbuildopts.h
%{_includedir}/ptlib.h
%{_includedir}/opal
%{_includedir}/%{name}
%{_includedir}/ptclib
%{_includedir}/ptlib
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}_linux_*.*a
%{_libdir}/lib%{name}_linux_*.so
%{_libdir}/libpt.so
%{_libdir}/libpt_linux_*.*a
%{_libdir}/libpt_linux_*.so
%{_datadir}/%{name}
%{_datadir}/pwlib


%changelog
* Tue Dec 02 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.7-5
- Rewritten for buildsystem

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 1.1.7-4
- new version (1.1.7)

* Tue Feb 13 2007 peter.pramberger@member.fsf.org 1.1.5-4
- new version (1.1.5)

* Mon Dec 25 2006 peter.pramberger@member.fsf.org 1.1.3-3
- created
